[ VIGRA Homepage | Class Index | Function Index | File Index | Main Page ]

| MagnitudeFunctor Class Template Reference |
--- | --- | ---

`#include "vigra/combineimages.hxx"`

## Public Types

typedef ValueType | first_argument_type
typedef ValueType | second_argument_type
typedef NumericTraits< ValueType >::RealPromote | result_type
typedef ValueType | value_type

## Public Methods

result_type | operator() (first_argument_type const &v1, second_argument_type const &v2) const

## Detailed Description

### template<class ValueType>
class vigra::MagnitudeFunctor< ValueType >

Calculate the magnitude from two arguments. Can be used in conjunction with gradientBasedTransform().

If the gradient is represented by a vector-valued image instead of a pair of scalar images, use vigra::VectorNormFunctor.

Traits defined:

`FunctorTraits::isBinaryFunctor` are true (`VigraTrueType`)``

## Member Typedef Documentation

typedef ValueType first_argument_type

| the functor's first argument type

typedef NumericTraits<ValueType>::RealPromote result_type

| the functor's result type

typedef ValueType second_argument_type

| the functor's second argument type

typedef ValueType value_type

Deprecated:
  use first_argument_type, second_argument_type, result_type

## Member Function Documentation

result_type operator() | ( | first_argument_type const & | v1,
|  | second_argument_type const & | v2
| ) | const`[inline]`

| calculate transform '`sqrt(v1*v1 + v2*v2)`'.

The documentation for this class was generated from the following file:

- vigra/combineimages.hxx

© Ullrich Köthe (koethe@informatik.uni-hamburg.de) Cognitive Systems Group, University of Hamburg, Germany | html generated using doxygen and Python VIGRA 1.4.0 (21 Dec 2005)